Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006180 [JEDI VCL] 99 Other minor always 2013-08-10 21:45 2015-09-14 13:20
Reporter Zencode View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006180: HPPEMIT lines in JvDataProvider causes problem in C++
Description JvDataProvider contains HPPEMIT lines to undefine and then redefine MANAGED_INTERFACE_OPERATORS in the generated .hpp file. The problem is that the conditional that has been defined to restore MANAGED_INTERFACE_OPERATORS is not the same as the one at the end of the .hpp file.

  {$HPPEMIT '#ifdef MANAGED_INTERFACE_OPERATORS'}
  {$HPPEMIT ' #undef MANAGED_INTERFACE_OPERATORS'}
  {$HPPEMIT ' #define JvDataProviderHpp_MANAGED_INTERFACE_OPERATORS'}
  {$HPPEMIT '#endif'}

  {$HPPEMIT END '#ifdef JvDataProvider_MANAGED_INTERFACE_OPERATORS'}
  {$HPPEMIT END ' #define MANAGED_INTERFACE_OPERATORS'}
  {$HPPEMIT END ' #undef JvDataProviderHpp_MANAGED_INTERFACE_OPERATORS'}
  {$HPPEMIT END '#endif'}

The two lines in question (in my source) are lines 56 and 59.
  {$HPPEMIT ' #define JvDataProviderHpp_MANAGED_INTERFACE_OPERATORS'}
  {$HPPEMIT END '#ifdef JvDataProvider_MANAGED_INTERFACE_OPERATORS'}

Notice that the conditionals are different. To fix this problem both should be changed to use the same value. Either both should be "JvDataProviderHpp_MANAGED_INTERFACE_OPERATORS" or both should be "JvDataProvider_MANAGED_INTERFACE_OPERATORS".
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020631)
Arioch (developer)
2013-09-03 08:16
edited on: 2013-09-03 08:16

JVCL BCB contributor confirms the issue at https://github.com/project-jedi/jvcl/pull/3#issuecomment-23605341 [^]

"Zencode's problem description and proposed fix look correct to me."

(0020806)
obones (administrator)
2013-12-13 12:04

This is now fixed in GIT

- Issue History
Date Modified Username Field Change
2013-08-10 21:45 Zencode New Issue
2013-09-03 08:16 Arioch Note Added: 0020631
2013-09-03 08:16 Arioch Status new => confirmed
2013-09-03 08:16 Arioch Note Edited: 0020631
2013-12-13 12:04 obones Note Added: 0020806
2013-12-13 12:04 obones Status confirmed => resolved
2013-12-13 12:04 obones Fixed in Version => Daily / SVN
2013-12-13 12:04 obones Resolution open => fixed
2013-12-13 12:04 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker